// --------------------------------------------------------------------------
// Payment
// --------------------------------------------------------------------------

.payment {
    padding-bottom: 100px;
    position: relative;

    & figure {
        margin: 0;
        position: absolute;
    }

    @include breakpointMax(xl) {
        padding-top: 20px;
    }

    @include breakpointMax(lg) {
        padding: 25px 45px 250px;
    }

    @include breakpointMax(md) {
        padding: 20px 0 200px;
    }
}

.payment-bg-1 {
    max-width: 220px;
    top: 90px;
    left: 90px;
    z-index: -1;

    @include breakpointMax(xl) {
        top: 160px;
        left: 0;
    }

    @include breakpointMax(lg) {
        top: 520px;
        left: 0;
    }

    @include breakpointMax(md) {
        max-width: 160px;
        top: 470px;
        left: 0;
    }
}

.payment-bg-2 {
    max-width: 290px;
    top: 35px;
    right: 12px;
    z-index: -1;

    @include breakpointMax(xl) {
        max-width: 260px;
        top: 100px;
    }

    @include breakpointMax(lg) {
        top: 350px;
        right: 15px;
        z-index: 1;
    }

    @include breakpointMax(md) {
        max-width: 160px;
        top: 490px;
        right: -10px;
    }
}

.payment-form {
    margin: 0 auto;
    padding: 36px 50px 58px;
    display: block;
    background: #F6F9FB;
    max-width: 620px;
    z-index: 2;

    & .requireds-star {
        color: red;
    }

    & label {
        font-size: 22px;
        line-height: 26px;
        color: #666666;

        @include breakpointMax(md) {
            font-size: 16px;
            line-height: 32px;
        }
    }

    @include breakpointMax(xl) {
        max-width: 600px;
    }

    @include breakpointMax(lg) {
        padding-bottom: 80px;
        max-width: 100%;
    }

    @include breakpointMax(md) {
        padding: 50px 20px 0;
        background: #FFFFFF;
    }
}

.form__title {
    font-size: 25px;
    font-weight: 700;
    line-height: 29px;
    text-align: center;
}

.payment__input {
    padding: 22.5px 20px;
    background: #FFFFFF;
    width: 100%;
    font-size: 22px;
    line-height: 26px;
    color: #666666;
    border: 1px solid #F6F9FB;
    border-radius: 3px;
    transition: all .3s;

    &:focus {
        border: 1px solid #005258;
    }

    &:focus + label {
        top: 0px;
        font-size: 14px;
    }

    @include breakpointMax(md) {
        padding: 13px 36px;
        font-size: 16px;
        line-height: 32px;
    }
}

.payment__input-name,
.payment__input-cost,
.payment__input-number {
    margin-bottom: 20px;
    position: relative;

    & label {
        position: absolute;
        top: 23px;
        left: 20px;
        transition: all .3s;
        z-index: 1;

        @include breakpointMax(md) {
            top: 13px;
            left: 36px;
        }
    }
}

.payment__btn {
    margin-top: 10px;

    @include breakpointMax(md) {
        width: 100%;
    }
}